### Method

# Gio SocketClient get_tls_validation_flags

deprecated: 2.72 since: 2.28

#### Declaration [src]

    GTlsCertificateFlags
    g_socket_client_get_tls_validation_flags (
      GSocketClient* client
    )

#### Description [src]

Gets the TLS validation flags used creating TLS connections via `client`.

This function does not work as originally designed and is impossible to use correctly. See `GSocketClient:tls-validation-flags` for more information.

Available since: 2.28

Deprecated since: 2.72

Do not attempt to ignore validation errors.

Gets property | `Gio.SocketClient:tls-validation-flags`

#### Return value

Type: `GTlsCertificateFlags`

The TLS validation flags.